<!DOCTYPE html>
<html lang="en">
  <head>
    <meta name="generator" content="HTML Tidy for HTML5 for Linux version 5.6.0">
    <title>
      DDNSadmin
    </title>
    <meta charset="utf-8">
    <link rel="stylesheet" type="text/css" href="vendor/twbs/bootstrap/dist/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="vendor/twbs/bootstrap/dist/css/bootstrap-theme.min.css">
    <link rel="stylesheet" type="text/css" href="vendor/datatables/datatables/media/css/jquery.dataTables.min.css">
    <script type="text/javascript" src="vendor/components/jquery/jquery.min.js"></script>
    <script type="text/javascript" src="vendor/twbs/bootstrap/dist/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="vendor/datatables/datatables/media/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" src="lib/datatables-naturalsort.js"></script>
    <script type="text/javascript" src="profiles.js"></script>
    <script type="text/javascript" src="ddnsadmin.js"></script>
    <style>
    .table tbody>tr>td{
      max-width: 400px;
      overflow: hidden;
      /*word-wrap: break-word;*/
       text-overflow: "... (truncated)";
      vertical-align: middle;
      height: 52px;
      white-space: nowrap;
    }

    td button{
      margin-left: 10px;
    }

    .col-control{
      width: 150px;
      text-align: right;
    }

    #profiles{
      white-space: nowrap;
    }

    #profile{
      width: 50%;
    }

    #profiles > * {
      display: inline;
    }
    </style>
  </head>
  <body>
    <div class="container">
      <nav class="navbar navbar-inverse" data-spy="affix" data-offset-top="250">
        <div class="container-fluid">
          <div class="navbar-header">
            <a class="navbar-brand" href="/">DDNS Admin</a>
          </div>
          <ul class="nav navbar-nav pull-right">
            <button id="btn-settings" type="button" class="btn btn-default navbar-btn" data-toggle="collapse" data-target="#settings"><span class="glyphicon glyphicon-collapse-up"></span> Hide
            settings</button>
          </ul>
        </div>
      </nav>
      <div id="settings" class="collapse in">
        <span id="profiles">
          <h4>Predefined profiles</h4>
          <select class="form-control" id="profile"></select>
          <button id="load_button" class="btn btn-primary">Load</button>
        </span>
        <div class="row">
          <form id="auth_form" method="post" class="form-horizontal" role="form" name="auth_form">
            <div class="col-sm-8">
              <h4>
                Main settings
              </h4>
              <div class="form-group">
                <label for="zone" class="col-sm-2 control-label">DNS zone</label>
                <div class="col-sm-4">
                  <input class="form-control" id="zone" type="text" name="zone">
                </div>
              </div>
              <div class="form-group">
                <label for="key-name" class="col-sm-2 control-label">Key name</label>
                <div class="col-sm-4">
                  <input class="form-control" id="key-name" type="text" name="key-name">
                </div><label for="key-type" class="col-sm-2 control-label">Key type</label>
                <div class="col-sm-4">
                  <select class="form-control" id="key-type" name="key-type">
                  </select>
                </div>
              </div>
              <div class="form-group">
                <label for="key-name" class="col-sm-2 control-label">Key</label>
                <div class="col-sm-10">
                  <input class="form-control" id="key" type="text" name="key">
                </div>
              </div>
              <div class="form-group">
                <div class="col-sm-offset-2 col-sm-4">
                  <button id="reload_button" type="submit" class="btn btn-primary">Load zone</button>
                </div>
              </div>
            </div>
            <div class="col-md-4">
              <h4>
                Advanced settings
              </h4>
              <div class="form-group">
                <label for="server" class="col-sm-4 control-label">DNS Server</label>
                <div class="col-sm-8">
                  <input class="form-control" id="server" type="text" name="server">
                </div>
              </div>
              <div class="form-group">
                <label for="proxy-path" class="col-sm-4 control-label">Proxy URL</label>
                <div class="col-sm-8">
                  <input class="form-control" id="proxy-path" type="text" value="dnsproxy.php">
                </div>
              </div>
              <div class="form-group">
                <label for="rr-filter" class="col-sm-4 control-label">RR type filter</label>
                <div class="col-sm-8">
                  <input class="form-control" id="rr-filter" type="text" value="SOA,RRSIG,NSEC,NSEC3">
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
      <hr>
      <div id="errors" class="row"></div>
      <div class="row">
        <form id="rr-add" name="rr-add">
          <table id="records" class="table table-hover table-striped">
            <thead>
              <tr>
                <th>
                  Name
                </th>
                <th>
                  TTL
                </th>
                <th>
                  Type
                </th>
                <th>
                  Data
                </th>
                <th>
                  Action
                </th>
              </tr>
              <tr>
                <th>
                  <input type="text" name="name" class="form-control">
                </th>
                <th>
                  <input type="text" name="ttl" class="form-control">
                </th>
                <th>
                  <select name="type" class="form-control">
                    <option>
                      kaka
                    </option>
                  </select>
                </th>
                <th>
                  <input type="text" name="data" class="form-control">
                </th>
                <th data-name="add-button">
                  <button type="button" class="btn btn-success"><span class="glyphicon glyphicon-plus"></span></button>
                </th>
              </tr>
            </thead>
            <tbody></tbody>
          </table>
        </form>
      </div>
    </div>
  </body>
</html>
